
From: Jim Radford <radford@indigita.com>

This patch keeps the positive return values of nfs_commit_inode() from
leaking out to fsync().  Without this "cvs update" to an nfs dir breaks.


---

 25-akpm/fs/nfs/write.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN fs/nfs/write.c~nfs_writepages-retval-fix fs/nfs/write.c
--- 25/fs/nfs/write.c~nfs_writepages-retval-fix	2004-04-23 16:43:11.213576912 -0700
+++ 25-akpm/fs/nfs/write.c	2004-04-23 16:43:11.217576304 -0700
@@ -357,8 +357,10 @@ int nfs_writepages(struct address_space 
 			goto out;
 	}
 	err = nfs_commit_inode(inode, 0, 0, wb_priority(wbc));
-	if (err > 0)
+	if (err > 0) {
 		wbc->nr_to_write -= err;
+		err = 0;
+	}
 out:
 	clear_bit(BDI_write_congested, &bdi->state);
 	wake_up_all(&nfs_write_congestion);

_
